import request from '@/utils/request'

// 设备维修列表
export function getEquipmentRepairList(data) {
    return request({
        url: '/equipmentRepair/queryByPage',
        method: 'post',
        data
    })
}

// 设备维修新增
export function addEquipmentRepair(data) {
    return request({
        url: '/equipmentRepair/add',
        method: 'post',
        data
    })
}

// 设备维修 根据设备id获取品牌等信息
export function getDeviceDetailById(val) {
    return request({
        url: `/equipmentRepair/deviceDetailById/${val}`,
        method: 'post',
    })
}

// 设备维修编辑
export function editEquipmentRepair(data) {
    return request({
        url: '/equipmentRepair/edit',
        method: 'post',
        data
    })
}

// 设备维修 删除
export function delEquipmentRepair(val) {
    return request({
        url: `/equipmentRepair/deleteById/${val}`,
        method: 'post',
    })
}


// 设备维修品牌下拉
export function getEquipmentRepairBrand(data) {
    return request({
        url: `/equipmentRepair/brandList`,
        method: 'post',
        data
    })
}

// 设备维修设备类型下拉
export function getEquipmentRepairType(data) {
    return request({
        url: `/equipmentRepair/deviceTypeList`,
        method: 'post',
        data
    })
}


// 设备维修详情
export function getEquipmentRepairDetail(id) {
    return request({
        url: `/equipmentRepair/queryById/${id}`,
        method: 'post'
    })
}

// 设备维修 新增弹窗订单号
export function getEquipmentRepairOrder(data) {
    return request({
        url: `/equipmentRepair/orderList`,
        method: 'post',
        data
    })
}

// 设备维修 新增弹窗零备件
export function getDialogSpareParts() {
    return request({
        url: `/spareParts/queryByPageList`,
        method: 'post',
    })
}


// 根据type获取楼栋区域设备列表  1楼栋2区域3设备
export function getComboBoxLinkage(data) {
    return request({
        url: `/maintenancePlan/comboBoxLinkage`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检日程列表
export function getInspectionSchedule(data) {
    return request({
        url: `/device/findInspectionCalendar`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检任务列表
export function getInspectionTask(data) {
    return request({
        url: `/device/findInspectionTask`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检任务新增
export function addInspectionTask(data) {
    return request({
        url: `/device/addInspectionTask`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检任务编辑
export function editInspectionTask(data) {
    return request({
        url: `/device/updateInspectionTask`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检任务详情
export function detailInspectionTask(data) {
    return request({
        url: `/device/insertdev`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检任务删除
export function delInspectionTask(id) {
    return request({
        url: `/device/deleteInspectionTask?id=${id}`,
        method: 'get'
    })
}

// 设备巡检 巡检任务 所属计划下拉
export function inspectionTaskBelongToList() {
    return request({
        url: `/device/findInspectionPlanComboBox`,
        method: 'get'
    })
}


// 设备巡检 巡检计划列表
export function getInspectionPlanList(data) {
    return request({
        url: `/device/findInspectionPlan`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检计划新增
export function addInspectionPlan(data) {
    return request({
        url: `/device/addInspectionPlan`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检计划编辑
export function editInspectionPlan(data) {
    return request({
        url: `/device/updateInspectionPlan`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检计划详情
export function getInspectionPlanDetail(data) {
    return request({
        url: `/device/findInspectionPlanTwo`,
        method: 'post',
        data
    })
}


// 设备巡检 巡检计划巡检规则下拉
export function inspectionPlanRuleList() {
    return request({
        url: `/device/findInspectionRule`,
        method: 'get'
    })
}

// 设备巡检 巡检计划巡检路线列表
export function getinspectionPlanRouteList() {
    return request({
        url: `/device/findInspectionLine`,
        method: 'get'
    })
}

// 设备巡检 巡检计划根据根据巡检路线id或者巡检路线详情
export function getRouteDetailById(val) {
    return request({
        url: `/device/findInspectionCheckByLine?id=${val}`,
        method: 'get'
    })
}


// 设备巡检 巡检路线列表
export function getInspectionRouteList(data) {
    return request({
        url: `/device/findInspectionRoute`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检路线新增
export function addInspectionRoute(data) {
    return request({
        url: `/device/addInspectionRoute`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检路线编辑
export function editInspectionRoute(data) {
    return request({
        url: `/device/updateInspectionRoute`,
        method: 'post',
        data
    })
}

// 设备巡检 巡检路线删除
export function delInspectionRoute(params) {
    return request({
        url: `/device/deleteInspectionRoute`,
        method: 'get',
        params
    })
}

// 设备巡检 巡检路线打卡点
export function getInspectionRoutePunch() {
    return request({
        url: `/device/findClockingRoute`,
        method: 'get'
    })
}


// 群控模板获取状态
export function getGroupControlStatus(id) {
    return request({
        url: `/iot/controlFormwork/getStatus`,
        method: 'get'
    })
}

// 群控模板 新增模板
export function addGroupControl(data) {
    return request({
        url: `/iot/controlFormwork`,
        method: 'post',
        data
    })
}

// 群控模板 列表查询
export function getGroupControlList(params) {
    return request({
        url: `/iot/controlFormwork/list`,
        method: 'get',
        params
    })
}


// 群控模板 编辑模板
export function editGroupControl(data) {
    return request({
        url: `/iot/controlFormwork/update`,
        method: 'post',
        data
    })
}

// 群控模板 删除模板
export function delGroupControl(data) {
    return request({
        url: `/iot/controlFormwork/delete`,
        method: 'post',
        data
    })
}

// 群控模板 查询设备列表
export function groupControlEquipment(params) {
    return request({
        url: `/iot/controlFormwork/getDeviceList`,
        method: 'get',
        params
    })
}

// 群控模板 触发规则选择分类列表
export function groupControlSelectType() {
    return request({
        url: `/iot/controlFormwork/getCategory`,
        method: 'get'
    })
}

// 群控模板 触发规则选择参数列表
export function groupControlSelectParame(params) {
    return request({
        url: `/iot/controlFormwork/getParam`,
        method: 'get',
        params
    })
}

// 群控模板 触发规则选择条件列表
export function groupControlSelectCondition() {
    return request({
        url: `/iot/controlFormwork/getCondition`,
        method: 'get'
    })
}

// 群控模板 反控动作获取属性列表
export function groupControlgetAttribute(params) {
    return request({
        url: `/iot/controlFormwork/getParam`,
        method: 'get',
        params
    })
}

// 群控模板 反控动作获取数据类型列表
export function groupControlgetNumType() {
    return request({
        url: `/iot/controlFormwork/getIotDataType`,
        method: 'get'
    })
}


// 群控模板 反控提交接口
export function groupControlSubmit(data) {
    return request({
        url: `/iot/controlFormwork/addDevice`,
        method: 'post',
        data
    })
}

// 群控模板 反控查询详情
export function groupControlgetDetail(params) {
    return request({
        url: `/iot/controlFormwork/getDeviceByFormworkId`,
        method: 'get',
        params
    })
}
